#!/usr/bin/env perl

# saveCollection.pl
# iChat pictures manager

use strict;

my $collName = shift @ARGV;
my $origFolder = shift @ARGV;
my $destFolder = shift @ARGV;

$collName =~ s,[\$/\t \'\"\&]+, ,g;
$collName or $collName = 'no name';

-d $destFolder or mkdir $destFolder;
-d $destFolder.$collName or mkdir $destFolder.$collName;

local *D;
my $riga;
opendir D,$origFolder;
while ($riga = readdir(D)) {
  $riga =~ m,^\., and next;
  -d $origFolder.$riga and next;
  `cp \'$origFolder$riga\' \'$destFolder$collName\'`;
}
closedir D;

local *F;
open F,'>'.$destFolder.'currentCollection';
print F $collName;
close F;

print $collName;
