#!/usr/bin/env perl

# readImages.pl
# iChat pictures manager

use strict;
my $theFolder = shift @ARGV;

-d $theFolder or die '';
-r $theFolder.'Recents.plist' or die '';

my @imgs = readImagesString($theFolder.'Recents.plist');

print join "\n", @imgs;

sub readImagesString {
  local *F;
  my ($riga,@risp);
  my $inf = shift or return @risp;
  open F,"<$inf" or return @risp;
  while ($riga=<F>) {
    $riga =~ m,\<key\>original\</key\>, or next;
    $riga = <F> and $riga =~ m,\<string\>(.+)\</string\>, and push @risp,$1;
  }
  close F;
  return @risp;
}